## com.bbn.openmap.tools.roads
Class RoadClass

    java.lang.Object
      com.bbn.openmap.tools.roads.RoadClass

All Implemented Interfaces:
  java.io.Serializable

public class RoadClass
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`RoadClass(java.io.Serializable name, java.awt.Color color, int width, float convoySpeed)`

Method Summary
`java.awt.Color` `getColor()`
`float` `getConvoySpeed()`
`java.io.Serializable` `getName()`
`int` `getWidth()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoadClass

    public RoadClass(java.io.Serializable name,
                     java.awt.Color color,
                     int width,
                     float convoySpeed)

Method Detail

### getName

    public java.io.Serializable getName()

### getColor

    public java.awt.Color getColor()

### getWidth

    public int getWidth()

### getConvoySpeed

    public float getConvoySpeed()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details